

const ИМЯ = "UIK";


// // // //


ЗадатьРазделМенюПримеров = мир =>
{
    мир.макет.константы.примеры = "примеры";
    
    $(`#${мир.макет.константы.меню}`).append(`
<ul id="${мир.макет.константы.примеры}" class="uk-nav uk-nav-default tm-nav">
    <li class="uk-nav-header">Примеры</li>
</ul>
    `);
};


// // // //


ЗадатьРазделМенюДокументации = мир =>
{
    мир.макет.константы.документация = "документация";
    
    $(`#${мир.макет.константы.меню}`).append(`
<ul id="${мир.макет.константы.документация}" class="uk-nav uk-nav-default tm-nav">
    <li class="uk-nav-header">Документация</li>
</ul>
    `);
};


// // // //


ЗадатьЗаголовок = мир =>
{
    $(`#${мир.макет.константы.заголовокЛево}`).html(`
<span class="uk-navbar-item uk-logo">UIK</span>
    `);
};


// // // //


ОчиститьМакетUIKОтЗаглушек = мир =>
{
    $(`#${мир.макет.константы.заголовокЛево}`).text("");
    $(`#${мир.макет.константы.заголовокЦентр}`).text("");
    $(`#${мир.макет.константы.заголовокПраво}`).text("");
    $(`#${мир.макет.константы.меню}`).text("");
    $(`#${мир.макет.константы.содержимое}`).text("");
};


// // // //


УстановитьМакетUIK = мир =>
{
    document.body.innerHTML = мир.макет.структура;

    var вид = document.createElement("style");
    document.head.appendChild(вид);
    вид.innerHTML = мир.макет.вид;
};


// // // //


НастроитьПримерМакетаUIK = мир =>
{
    var название = "пример";
    var html = мир.макет.структура;
    var css = мир.макет.вид;
    
    // Вырезаем тело из макета.
    var начало = html.indexOf("<!-- МАКЕТ_НАЧАЛО -->");
    var конец = html.indexOf("<!-- МАКЕТ_КОНЕЦ -->");
    html = html.substring(начало, конец);

    мир.макет.константы = {
        "заголовокЛево": `${название}-заголовокЛево`,
        "заголовокЦентр": `${название}-заголовокЦентр`,
        "заголовокПраво": `${название}-заголовокПраво`,
        "меню": `${название}-меню`,
        "содержимое": `${название}-содержимое`,
    };
    // Заменяем константы в макете.
    for (var константа in мир.макет.константы)
    {
        var старое = "${" + константа + "}";
        var новое = мир.макет.константы[константа];
        html = html.replace(старое, новое);
        css = css.replace(старое, новое);
    }
    
    мир.макет.структура = html;
    мир.макет.вид = css;
};


// // // //


ЗагрузитьМакетUIK = мир =>
{
    var м = мир.модули.модульПоИмени(ИМЯ);
    мир.макет = {
        "структура": м.содержимое["/макет|template.html"],
        "вид": м.содержимое["/макет|template.css"],
    };    
};


// // // //


ВывестиПриветствиеОтUIK = мир =>
{
    console.debug("Привет от UIK");
};

