
const ИМЯ = "UIK";


// // // //


ЗапуститьПример = function(мир)
{
    var модуль = мир.модули.модульПоИмени(ИМЯ);
    var составляющие = [
        "/пример|sample",
    ];
    for (var номер in составляющие)
    {
        var составляющая = составляющие[номер];
        модуль.исполнитьФайл(`${составляющая}.js`);
        модуль.исполнитьЧереду(мир, `${составляющая}.череда`);
    }
    мир.уведомить("пуск примера");
};


// // // //


ЗагрузитьБиблиотекиПримера = function(мир)
{
    var указатели = [
        "https://bitbucket.org/gitjs/jquery/raw/3.5.1/0000",
        "https://bitbucket.org/gitjs/uikit/raw/3.2.0/0000",
    ];

    var сообщение = "Загрузка библиотек | Loading libraries";
    console.debug(сообщение, указатели);

    var html = "";
    for (var номер in указатели)
    {
        var указатель = указатели[номер];
        html += `<li>${указатель}</li>`;
    }
    document.body.innerHTML += `<p>${сообщение}</p><ul>${html}</ul>`;

    мир.модули.использовали.подписатьРаз(function() {
        мир.уведомить("ручной пуск");
        мир.уведомить("загрузили библиотеки примера");
    });

    мир.модули.использовать(указатели);
};

